Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.cs.api
Interface CompletedResultRecord

All Superinterfaces:
  java.io.Serializable

    public interface CompletedResultRecord

extends java.io.Serializable

This interface is used to access records of a completed result. We can get instances of this interface through calling getResults of CompletedPublishRecord.

Field Summary
`static int` | `STATUS_FAILED` Indicate status of the result is failed.
`static int` | `STATUS_NOTRUN` Indicate status of the result is having not run.
`static int` | `STATUS_SUCCESSFUL` Indicate status of the result is successful.

Method Summary
`java.lang.String` | `getDetail()` return detailed information of the result
`int` | `getStatus()` return status of the result, can be STATUS_SUCCESSFUL, STATUS_FAILED, STATUS_DEAD
`java.lang.String` | `getType()` return the result type, can be Dhtml Result, Result, Html, Pdf, Text, Excel, PostScript, Rich Text Format and Xml

Field Detail

### STATUS_FAILED

    static final int STATUS_FAILED

  Indicate status of the result is failed.

  See Also:
    Constant Field Values

### STATUS_SUCCESSFUL

    static final int STATUS_SUCCESSFUL

  Indicate status of the result is successful.

  See Also:
    Constant Field Values

### STATUS_NOTRUN

    static final int STATUS_NOTRUN

  Indicate status of the result is having not run.

  See Also:
    Constant Field Values

Method Detail

### getType

    java.lang.String getType()

  return the result type, can be Dhtml Result, Result, Html, Pdf, Text, Excel, PostScript, Rich Text Format and Xml

  Returns:
    String type of result, can be Dhtml Result, Result, Html, Pdf, Text, Excel, PostScript, Rich Text Format and Xml

### getStatus

    int getStatus()

  return status of the result, can be STATUS_SUCCESSFUL, STATUS_FAILED, STATUS_DEAD

  Returns:
    int status of the result, can be STATUS_SUCCESSFUL, STATUS_FAILED, STATUS_NOTRUN

### getDetail

    java.lang.String getDetail()

  return detailed information of the result

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD